oc_jpegencode 1.0 JPEGencoder

Public Attributes | List of all members
jpeg_top Module Reference
Inheritance diagram for jpeg_top:
[legend]
Collaboration diagram for jpeg_top:
[legend]

## Public Attributes

## Inputs
clk |
rst |
end_of_file_signal |
enable |
data_in | [ 23 : 0 ]

## Outputs
JPEG_bitstream | [ 31 : 0 ]
data_ready |
end_of_file_bitstream_count | [ 4 : 0 ]
eof_data_partial_ready |

## Signals
wire[ 31 : 0 ] | JPEG_FF
wire | data_ready_FF
wire[ 4 : 0 ] | orc_reg_in

## Module Instances
fifo_out::u19 | Module fifo_out
ff_checker::u20 | Module ff_checker

## Detailed Description

Definition at line 46 of file jpeg_top.v.

## Member Data Documentation

clk
| Input

Definition at line 48 of file jpeg_top.v.

rst
| Input

Definition at line 49 of file jpeg_top.v.

end_of_file_signal
| Input

Definition at line 50 of file jpeg_top.v.

enable
| Input

Definition at line 51 of file jpeg_top.v.

data_in [ 23 : 0 ]
| Input

Definition at line 52 of file jpeg_top.v.

JPEG_bitstream [ 31 : 0 ]
| Output

Definition at line 53 of file jpeg_top.v.

data_ready
| Output

Definition at line 54 of file jpeg_top.v.

end_of_file_bitstream_count [ 4 : 0 ]
| Output

Definition at line 55 of file jpeg_top.v.

eof_data_partial_ready
| Output

Definition at line 56 of file jpeg_top.v.

JPEG_FF
| Signal

Definition at line 58 of file jpeg_top.v.

data_ready_FF
| Signal

Definition at line 59 of file jpeg_top.v.

orc_reg_in
| Signal

Definition at line 60 of file jpeg_top.v.

ff_checker u20
| Module Instance

Definition at line 65 of file jpeg_top.v.

fifo_out u19
| Module Instance

Definition at line 62 of file jpeg_top.v.

The documentation for this Module was generated from the following files:

- code/jpeg_top.v